HSM Security Domain - Download Pending
Retrieves the Security Domain download operation status
GET {vaultBaseUrl}/securitydomain/download/pending
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
vault
|
path | True |
|
The vault name, for example https://myvault.vault.azure.net. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Security Domain download operation status |
|
| Other Status Codes |
Key Vault error response describing why the operation failed. |
Examples
Find Security Domain download operation status
Sample Request
GET https://myhsmvault.managedhsm.azure.net//securitydomain/upload/pending
Sample Response
{
"status": "InProgress",
"status_details": ""
}
Definitions
| Error |
The key vault server error. |
|
Key |
The key vault error exception. |
|
Operation |
operation status |
|
Security |
Error
The key vault server error.
| Name | Type | Description |
|---|---|---|
| code |
|
The error code. |
| innererror |
The key vault server error. |
|
| message |
|
The error message. |
KeyVaultError
The key vault error exception.
| Name | Type | Description |
|---|---|---|
| error |
The key vault server error. |
OperationStatus
operation status
| Name | Type | Description |
|---|---|---|
| Failed |
|
|
| InProgress |
|
|
| Success |
|
SecurityDomainOperationStatus
| Name | Type | Description |
|---|---|---|
| status |
operation status |
|
| status_details |
|